-- I don't know to use .pkgmeta yet with Subversion
-- and dont want to hardembed Ace3
local AA = LibStub("AceAddon-3.0", true)
local ACR = LibStub("AceConfigRegistry-3.0", true)
local ACD = LibStub("AceConfigDialog-3.0", true)
if not AA or not ACR or not ACD then TimerTracker:UnregisterAllEvents() return end

RemoveTimerTracker = AA:NewAddon("RemoveTimerTracker", "AceEvent-3.0")
local RTT = RemoveTimerTracker

local function UpdateRegisters()
	if RemoveTimerTrackerDB then
		-- only disable the StatusBar when it pops up
		TimerTracker:RegisterEvent("START_TIMER")
		TimerTracker:RegisterEvent("PLAYER_ENTERING_WORLD")
	else
		-- disable the whole thing altogether
		TimerTracker:UnregisterAllEvents()
	end
end

function RTT:OnInitialize()
	self:RegisterEvent("START_TIMER")
	UpdateRegisters()
end

function RTT:START_TIMER()
	if RemoveTimerTrackerDB then
		for i = 1, #TimerTracker.timerList do
			_G["TimerTrackerTimer"..i.."StatusBar"]:Hide()
		end
	end
end

local options = {
	type = "group",
	name = "",
	args = {
		TimerBar = {
			type = "toggle",
			descStyle = "",
			width = "full",
			name = "BigTimerNumbers",
			get = function(i) return RemoveTimerTrackerDB end,
			set = function(i, v) RemoveTimerTrackerDB = v; UpdateRegisters() end,
		},
		BigTimerNumbers = {
			type = "description",
			descStyle = "",
			name = "|TInterface\\Timer\\BigTimerNumbers:170:256|t",
		},
	}
}

ACR:RegisterOptionsTable("RemoveTimerTracker", options)
local optionsFrame = ACD:AddToBlizOptions("RemoveTimerTracker", "Remove TimerTracker")

local function SlashCommand()
	InterfaceOptionsFrame_OpenToCategory(optionsFrame)
end

local AC = LibStub("AceConsole-3.0", true)
if AC then
	AC:RegisterChatCommand("rtt", SlashCommand)
	AC:RegisterChatCommand("timertracker", SlashCommand)
	AC:RegisterChatCommand("removetimer", SlashCommand)
	AC:RegisterChatCommand("removetimertracker", SlashCommand)
end